<?php

$template = 'player.xsl';

$post = array('', ' K', ' M', ' G', ' T', ' P');

$seconds = array(31104000, 2592000, 86400, 3600, 60);

$time_lang = $lang->getElementsByTagName('time');

$asort = array('`name`', '`kills`', '`shoot`', '`hit_head`', '`hit_chest`', '`hit_stomach`', '`hit_leftarm`', '`hit_rightarm`', '`hit_leftleg`', '`hit_rightleg`');

$acsort = array('`infect`', '`kills`', '`death`');

$atsort = array('ASC', 'DESC');	
	

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : 0;

$r = mysql_query("SELECT * FROM `zp_players` LEFT JOIN `zp_classes` ON `zp_players`.`class` = `zp_classes`.`id` WHERE `zp_players`.`id` = '$id'");
$row = mysql_fetch_assoc($r);
if ($row)
{
	$row['id'] = $id;
	$i = 0;
	while($row['total_damage'] >= 1024)
	{
		$row['total_damage'] /= 1024;
		$i++;
	}
	$row['total_damage'] = round($row['total_damage'], 2).$post[$i];
	
	if ($row['online'] > 0)
	{
		$online = '';
		$i = 0;
		while ($i < 5)
		{
			if ($row['online'] > $seconds[$i])
			{
				$floor = floor($row['online'] / $seconds[$i]);
				if ($floor > 0)
				{
					$online .= ($floor.($time_lang->item($i)->nodeValue));
					$row['online'] %= $seconds[$i];
				}
			}
			$i++;
		}
		$row['online'] = $online;
	}
	
	$row['nick'] = htmlentities($row['nick'], ENT_COMPAT, 'UTF-8');
	
	$row['last_game'] = date('d.m.y', $row['last_join']).' '.date('H:i', $row['last_join']).' - '.date('H:i', $row['last_leave']);
	$node = $data->createElement('player');
	$player = $root->appendChild($node);
	foreach ($row as $key => $value)
		$player->appendChild($data->createElement($key, $value));
		
		
	if (isset($_GET['sort']))
	{
		$sort = abs((int)$_GET['sort']);
		if ($sort > (count($asort) - 1))
			$sort = 0;
		$tsort = $asort[$sort];
		
		if (isset($_SESSION['wtsort']))
		{
			$_SESSION['wtsort'] = $_SESSION['wtsort'] ? 0 : 1;
		}
		else
			$_SESSION['wtsort'] = 0;
		
		$_SESSION['wsort'] = $tsort.' '.$atsort[$_SESSION['wtsort']];
	}

	if (isset($_SESSION['wsort']))
		$wsort = $_SESSION['wsort'];
	else
		$wsort = '`kills` DESC';
	
		
		
		
	$sql = "SELECT DISTINCT `zp_shoots`.*, `zp_weapons`.`name`,
		((`hit_head` + `hit_chest` + `hit_stomach` + `hit_leftarm` + `hit_rightarm` + `hit_leftleg` + `hit_rightleg`)/`shoot`) AS 'acc'
		FROM 
		`zp_shoots`, `zp_weapons`, `zp_players`
		WHERE `zp_shoots`.`id_weapon` = `zp_weapons`.`id` AND `shoot` > 0 AND `id_player` = $id ORDER BY $wsort";
		
	$r = mysql_query($sql);
	$node = $data->createElement('weapons');
	$weapons = $root->appendChild($node);
	while ($row = mysql_fetch_assoc($r))
	{
		$weapon = $weapons->appendChild($data->createElement('weapon'));
		foreach ($row as $key => $value)
			$weapon->appendChild($data->createElement($key, $value));
	}	
	
	
	if (isset($_GET['csort']))
	{
		$sort = abs((int)$_GET['csort']);
		if ($sort > (count($acsort) - 1))
			$sort = 0;
		$tsort = $acsort[$sort];
		
		if (isset($_SESSION['cptsort']))
		{
			$_SESSION['cptsort'] = $_SESSION['cptsort'] ? 0 : 1;
		}
		else
			$_SESSION['cptsort'] = 0;
		
		$_SESSION['cpsort'] = $tsort.' '.$atsort[$_SESSION['cptsort']];
	}

	if (isset($_SESSION['cpsort']))
		$cpsort = $_SESSION['cpsort'];
	else
		$cpsort = '`infect` DESC';
	
		
	$sql = "SELECT DISTINCT `zp_class_stats`.*, `zp_classes`.`name` FROM 
		`zp_class_stats`, `zp_classes`, `zp_players`
		WHERE `zp_class_stats`.`id` = `zp_classes`.`id` AND `id_player` = $id ORDER BY $cpsort";
		
	$r = mysql_query($sql);
	$node = $data->createElement('classes');
	$weapons = $root->appendChild($node);
	while ($row = mysql_fetch_assoc($r))
	{
		$weapon = $weapons->appendChild($data->createElement('class'));
		foreach ($row as $key => $value)
			$weapon->appendChild($data->createElement($key, $value));
	}	
	
	
}
else
{
	$template = 'error.xsl';
	$error = $lang->getElementsByTagName('error_no_players')->item(0)->nodeValue;
	$root->appendChild($data->createElement('error', $error));
}
?>