<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output  
	method="xml"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
	indent="yes" />
	<xsl:template match="/">
		<hr />
		<h2>
			<xsl:value-of select="/root/lang/h2_weapons" />
		</h2>
		<hr />
		<table>
			<tr>
				<td colspan="2">
					<a href="index.php?action=weapons&amp;sort=0">
						<xsl:value-of select="/root/lang/weapon" />
					</a>	
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=1">
						<xsl:value-of select="/root/lang/kills" />
					</a>	
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=2">
						<xsl:value-of select="/root/lang/shoot" />
					</a>	
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=3">
						<xsl:value-of select="/root/lang/hit_head" />
					</a>
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=4">
						<xsl:value-of select="/root/lang/hit_chest" />
					</a>
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=5">
						<xsl:value-of select="/root/lang/hit_stomach" />
					</a>
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=6">
						<xsl:value-of select="/root/lang/hit_leftarm" />
					</a>
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=7">
						<xsl:value-of select="/root/lang/hit_rightarm" />
					</a>
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=8">
						<xsl:value-of select="/root/lang/hit_leftleg" />
					</a>
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=9">
						<xsl:value-of select="/root/lang/hit_rightleg" />
					</a>
				</td>
				<td>
					<a href="index.php?action=weapons&amp;sort=10">
						<xsl:value-of select="/root/lang/acc" />
					</a>
				</td>
			</tr>
			<xsl:for-each select="/root/weapons/weapon">
				<tr>
					<td>
						<img class="picks">
							<xsl:attribute name="src">
								<xsl:text>img/weapons/</xsl:text>
								<xsl:value-of select="name" />
								<xsl:text>.gif</xsl:text>	
							</xsl:attribute>
						</img>
					</td>
					<td class="td_left">
						<a>
							<xsl:attribute name="href">
								<xsl:text>index.php?action=weapons&amp;id=</xsl:text>
								<xsl:value-of select="id_weapon"/>
							</xsl:attribute>
							<xsl:value-of select="name" />
						</a>
					</td>
					<td>
						<xsl:value-of select="kills" />
					</td>
					<td>
						<xsl:value-of select="shoot" />
					</td>
					<td>
						<xsl:value-of select="hit_head" />
					</td>
					<td>
						<xsl:value-of select="hit_chest" />
					</td>
					<td>
						<xsl:value-of select="hit_stomach" />
					</td>
					<td>
						<xsl:value-of select="hit_leftarm" />
					</td>
					<td>
						<xsl:value-of select="hit_rightarm" />
					</td>
					<td>
						<xsl:value-of select="hit_leftleg" />
					</td>
					<td>
						<xsl:value-of select="hit_rightleg" />
					</td>
					<td>
						<xsl:value-of select="acc" />
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<hr />
	</xsl:template>
</xsl:stylesheet>