<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output  
	method="xml"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
	indent="yes" />
	<xsl:template match="/">
		<hr />
		<h2>
			<xsl:value-of select="/root/lang/h2_classes" />
		</h2>
		<hr />
		<table>
			<tr>
				<td colspan="2">
					<a href="index.php?action=classes&amp;sort=0">
						<xsl:value-of select="/root/lang/class" />
					</a>	
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=1">
						<xsl:value-of select="/root/lang/class_info" />
					</a>	
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=2">
						<xsl:value-of select="/root/lang/hp" />
					</a>	
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=3">
						<xsl:value-of select="/root/lang/speed" />
					</a>	
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=4">
						<xsl:value-of select="/root/lang/grav" />
					</a>
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=5">
						<xsl:value-of select="/root/lang/kb" />
					</a>
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=6">
						<xsl:value-of select="/root/lang/infect" />
					</a>
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=7">
						<xsl:value-of select="/root/lang/kills" />
					</a>
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=8">
						<xsl:value-of select="/root/lang/death" />
					</a>
				</td>
				<td>
					<a href="index.php?action=classes&amp;sort=9">
						<xsl:value-of select="/root/lang/games" />
					</a>
				</td>
			</tr>
			<xsl:for-each select="/root/classes/class">
				<tr>
					<td>
						<img class="picks">
							<xsl:attribute name="src">
								<xsl:value-of select="image" />
							</xsl:attribute>
						</img>
					</td>
					<td class="td_left">
						<a>
							<xsl:attribute name="href">
								<xsl:text>index.php?action=classes&amp;id=</xsl:text>
								<xsl:value-of select="id"/>
							</xsl:attribute>
							<xsl:value-of select="name" />
						</a>
					</td>
					<td>
						<xsl:value-of select="info" />
					</td>
					<td>
						<xsl:value-of select="hp" />
					</td>
					<td>
						<xsl:value-of select="speed" />
					</td>
					<td>
						<xsl:value-of select="grav" />
					</td>
					<td>
						<xsl:value-of select="kb" />
					</td>
					<td>
						<xsl:value-of select="infect" />
					</td>
					<td>
						<xsl:value-of select="kills" />
					</td>
					<td>
						<xsl:value-of select="death" />
					</td>
					<td>
						<xsl:value-of select="games" />
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<hr />
	</xsl:template>
</xsl:stylesheet>